Sq inch to SQ Foot ?

Discussion in 'AutoCAD' started by Matt Trucks, Mar 22, 2005.

  1. Matt Trucks

    Matt Trucks Guest

    Is there a way to switch this in LWPOLYlINE list view?
    Basically i am trying to get it to list area 0.7281 square ft. first then
    (104.85 square in.) instead of the example shown below.


    LWPOLYLINE Layer: "0-XREF"
    Space: Model space
    Handle = 2294D
    Closed
    Constant width 0'-0"
    area 104.85 square in. (0.7281 square ft.)
    perimeter 3'-7 7/8"

    at point X=-4'-9 15/16" Y=-3'-11 1/2" Z= 0'-0"
    at point X=-3'-7 1/16" Y=-3'-11 1/2" Z= 0'-0"
    at point X=-3'-7 1/16" Y=-4'-6 9/16" Z= 0'-0"
    at point X=-4'-9 15/16" Y=-4'-6 9/16" Z= 0'-0"

    Thanks,

    Matthew Trucks

    Cad Management/Designer

    SSP Architectural Group
     
    Matt Trucks, Mar 22, 2005
    #1
  2. I don't think that is possible....
     
    Luis Esquivel, Mar 22, 2005
    #2
  3. Matt Trucks

    hmsilva Guest

    If you nead to convert sq inch in sq foot

    how do you do it?

    Henrique
     
    hmsilva, Mar 22, 2005
    #3
  4. Matt Trucks

    ECCAD Guest

    (defun inches_to_sq_feet ( inches )
    (setq sq_ft (/ 144.0 inches))
    (prompt "\n ")
    (prompt (strcat "\nSquare Feet = " (rtos sq_ft)))
    (princ)
    ); function
    (defun C:I2F ()
    (setq inchs (getreal "\nEnter Number of Inches [real number]:"))
    (inches_to_sq_feet inchs)
    (princ)
    ); function

    Save above as i2f.lsp
    (load "i2f")
    At command prompt, type in:
    I2F

    Bob
     
    ECCAD, Mar 22, 2005
    #4
  5. Matt Trucks

    Matt Trucks Guest

    NICE!! damn i wish i knew how to write auto lisp routines like you! Thanks
    alot!
     
    Matt Trucks, Mar 22, 2005
    #5
  6. Matt Trucks

    Josh Guest

    (cvunit 144.0 "sq in" "sq ft") returns 1.0

    look up cvunit for more info

    here are a couple of menu entries I have in a pulldown for convenience:
    [Last Area SF to SY]^C^C^P(strcat "Last AREA: " (rtos(getvar"area")) "
    equals " ((rtos (/ (getvar"area") 9.0)) " SY") ^P
    [Last Area SF to Acres]^C^C^P(strcat "Last AREA: " (rtos(getvar"area")) "
    equals " (rtos (CVUNIT (getvar"area") "SQ FT" "ACRES")) " Acres") ^P

    So after getting the area of an object(s) I can just select whatever from
    the menu for an easy conversion.
     
    Josh, Mar 22, 2005
    #6
  7. Matt Trucks

    OLD-CADaver Guest

    Look at this thread for TAGAREA.LSP
     
    OLD-CADaver, Mar 22, 2005
    #7
  8. Matt Trucks

    ECCAD Guest

    Thanks Matt.
    You may also want check into the cvunit command
    as Josh suggested. That is another way...
    Bob
     
    ECCAD, Mar 22, 2005
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.